### Property

# Gtk Widget:limit-events

since: 4.18

#### Declaration

    property limit-events: gboolean [ read, write ]

#### Description [src]

Makes this widget act like a modal dialog, with respect to event delivery.

Global event controllers will not handle events with targets inside the widget, unless they are set up to ignore propagation limits. See `gtk_event_controller_set_propagation_limit()`.

Type:`gboolean`

Available since: 4.18

Default value | FALSE
Getter method | `gtk_widget_get_limit_events()`
Setter method | `gtk_widget_set_limit_events()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no